For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList agents
      • POSTCreate an agent
      • GETGet an agent
      • GETList agent versions for an agent
      • GETRevert to a specific agent version
      • GETList Agent Roles
      • POSTAssign Role to Agent
      • DELRemove Role from Agent
      • GETGet logs for an agent
      • GETGet an agent log
      • GETGet all agent logs in your environment
      • GETGet all executions in your environment
      • DELDelete an agent
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAgents

List agents

GET
https://api.x.flatfile.com/v1/agents
GET
/v1/agents
$curl -G https://api.x.flatfile.com/v1/agents \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d environmentId=us_env_YOUR_ID \
> -d pageSize=20 \
> -d pageNumber=1
200Example0
1{
2 "data": [
3 {
4 "accountId": "us_acc_YOUR_ID",
5 "createdAt": "2023-10-30T16:59:45.735Z",
6 "environmentId": "us_env_YOUR_ID",
7 "id": "us_ag_YOUR_ID",
8 "updatedAt": "2023-10-30T16:59:45.735Z",
9 "compiler": "js",
10 "slug": "default",
11 "source": "module.exports = { routeEvent: async (...args) => { console.log(args) } }",
12 "topics": [
13 "workbook:updated"
14 ],
15 "options": {
16 "namespace": "space:blue"
17 }
18 }
19 ],
20 "pagination": {
21 "currentPage": 3,
22 "pageCount": 50,
23 "totalCount": 100
24 }
25}
Was this page helpful?
Previous

Create an agent

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringRequired
Environment ID
isSystembooleanOptional
searchstringOptional
pageSizeintegerOptional

Number of logs to return in a page (default 20)

pageNumberintegerOptional
Based on pageSize, which page of records to return

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info